#!/usr/bin/env python

# Written by Bram Cohen
# Modified by Cameron Dale
# see LICENSE.txt for license information

# $Id: setup.py 40 2007-05-06 21:20:30Z camrdale-guest $

import sys
assert sys.version >= '2', "Install Python 2.0 or greater"
from distutils.core import setup, Extension
import DebTorrent

setup(
    name = "DebTorrent",
    version = DebTorrent.version,
    author = "Cameron Dale",
    author_email = "<debtorrent-devel@lists.alioth.debian.org>",
    url = "http://debtorrent.alioth.debian.org",
    license = "MIT",
    
    packages = ["DebTorrent","DebTorrent.BT1"],

    scripts = ["btdownloadgui.py", "btdownloadheadless.py", 
        "bttrack.py", "btmakemetafile.py", "btlaunchmany.py", "btcompletedir.py",
        "btdownloadcurses.py", "btcompletedirgui.py", "btlaunchmanycurses.py", 
        "btmakemetafile.py", "btreannounce.py", "btrename.py", "btshowmetainfo.py",
        'btmaketorrentgui.py', 'btcopyannounce.py', 'btsethttpseeds.py',
        'bt-t-make.py',
        ]
    )
