#!/usr/bin/env python

# Written by Bram Cohen
# Modified by Cameron Dale
# see LICENSE.txt for license information

# $Id: btcompletedir.py 40 2007-05-06 21:20:30Z camrdale-guest $

from DebTorrent import PSYCO
if PSYCO.psyco:
    try:
        import psyco
        assert psyco.__version__ >= 0x010100f0
        psyco.full()
    except:
        pass

from sys import argv, version, exit
assert version >= '2', "Install Python 2.0 or greater"
from os.path import split
from DebTorrent.BT1.makemetafile import defaults, completedir, print_announcelist_details
from DebTorrent.parseargs import parseargs, formatDefinitions

def prog(amount):
    print '%d packages found\r' % amount,
    
def next_file(file):
    print "\nProcessing file: %s" % file
    
if len(argv) < 3:
    a,b = split(argv[0])
    print 'Usage: ' + b + ' <trackerurl> <dir> [dir...] [params...]'
    print 'makes a .dtorrent file for every Packages file present in each dir.'
    print
    print formatDefinitions(defaults, 80)
    print_announcelist_details()
    print ('')
    exit(2)

try:
    config, args = parseargs(argv[1:], defaults, 2, None)
    for dir in args[1:]:
        completedir(dir, args[0], config, vc = prog, fc = next_file)
except ValueError, e:
    print 'error: ' + str(e)
    print 'run with no args for parameter explanations'
